<script lang="ts">
import { defineComponent } from 'vue';

export default defineComponent({
  name: 'JDivider',
  props: {
    type: {
      type: String,
      default: 'horizontal',
      validator: (value: string): boolean => ['horizontal'].includes(value),
    },
    height: {
      type: String,
      default: '2px',
    },
    marginTop: {
      type: String,
      default: '16px',
    },
    marginBottom: {
      type: String,
      default: '16px',
    },
  },
});
</script>

<template>
  <div
    class="j-divider"
    :class="{ type }"
  />
</template>

<style lang="scss" scoped>
.j-divider {
  margin-top: v-bind(marginTop);
  margin-bottom: v-bind(marginBottom);
  height: v-bind(height);
  width: 100%;
  background-color: rgb(var(--j-divider-color));
}
</style>
